export declare type Tester = (str: string) => boolean | null | undefined;
export declare const default_testers: ReadonlyArray<Tester>;
export declare type Modifier = (str: string) => string;
export declare const default_modifiers: ReadonlyArray<Modifier>;
export interface KoreanPostpositionProcessorOption {
    testers?: Tester[];
    modifiers?: Modifier[];
}
export declare class KoreanPostpositionProcessor {
    modifiers: Modifier[];
    testers: Tester[];
    constructor(option?: KoreanPostpositionProcessorOption);
    readonly name: string;
    readonly type: string;
    process(value: string): string;
    private runTests;
    private applyModifiers;
}
declare const defaultInstance: KoreanPostpositionProcessor;
export default defaultInstance;
